local _, BigBrother = ...

-- Shared Spells
local SpellData = {}

local spells = setmetatable({}, {
	__index = function(t, k)
		local name, _, texture = GetSpellInfo(k)
		if not name then
			BigBrother:Print("Invalid spell ID:", k)
			name, texture = "?", "Interface\\Icons\\INV_Misc_QuestionMark"
		end
		local info = { name = name, texture = texture }
		t[k] = info
		return info
	end
})
SpellData.SpellCache = spells

SpellData.flasks = {
	(GetSpellInfo(109145)), -- Draenic Agility Flask
	(GetSpellInfo(109147)), -- Draenic Intellect Flask
	(GetSpellInfo(109148)), -- Draenic Strength Flask
	(GetSpellInfo(109152)), -- Draenic Stamina Flask
	(GetSpellInfo(109153)), -- Greater Draenic Agility Flask
	(GetSpellInfo(109155)), -- Greater Draenic Intellect Flask
	(GetSpellInfo(109156)), -- Greater Draenic Strength Flask
	(GetSpellInfo(109160)), -- Greater Draenic Stamina Flask
}

SpellData.foods = {
	(GetSpellInfo(19705)),  -- Well Fed
	(GetSpellInfo(433)),    -- Food
}

-- 100 stat food
SpellData.foodsMax = {
	[160889] = true, -- crit
	[160900] = true, -- multistrike
	[160893] = true, -- haste
	[160902] = true, -- versatility
	[160897] = true, -- mastery
	[160883] = true, -- stamina
}

SpellData.raidBuffs = {
	{ --Stats
		1126, -- Mark of the Wild
		20217, -- Blessing of Kings
		115921, -- Legacy of the Emperor
		116781, -- Legacy of the White Tiger
		69378, -- Blessing of Forgotten Kings (Leatherworking)
		90363, -- Embrace of the Shale Spider (pet)
		159988, -- Bark of the Wild (pet)
		160017, -- Blessing of Kongs (pet)
		160077, -- Strength of the Earth (pet)
	},
	{ --Stamina
		21562, -- PW:Fortitude
		469, -- Commanding Shout
		166928, -- Blood Pact
		111922, -- Fortitude (Inscription)
		90364, -- Qiraji Fortitude (pet)
		160003, -- Savage Vigor (pet)
		160014, -- Sturdiness (pet)
	},
	{ --Attack Power
		6673, -- Battle Shout
		57330, -- Horn of Winter
		19506, -- Trueshot Aura
	},
	{ -- Haste
		55610, -- Unholy Aura
		49868, -- Mind Quickening
		113742, -- Swiftblade's Cunning
		116956, -- Grace of Air
		135678, -- Energizing Spores (pet)
		128432, -- Cackling Howl (pet)
		160003, -- Savage Vigor (pet)
		160074, -- Speed of the Swarm (pet)
	},
	{ --Spell Power
		1459, -- Arcane Brilliance
		61316, -- Dalaran Brilliance
		109773, -- Dark Intent
		90364, -- Qiraji Fortitude (pet)
		126309, -- Still Water (pet)
	},
	{ --Critical Strike
		1459, -- Arcane Brilliance
		61316, -- Dalaran Brilliance
		17007, -- Leader of the Pack
		116781, -- Legacy of the White Tiger
		24604, -- Furious Howl (pet)
		90309, -- Terrifying Roar (pet)
		90363, -- Embrace of the Shale Spider (pet)
		97229, -- Bellowing Roar (pet)
		126309, -- Still Water (pet)
		126373, -- Fearless Roar (pet)
		160052, -- Strength of the Pack (pet)
	},
	{ --Mastery
		19740, -- Blessing of Might
		116956, -- Grace of Air
		24907, -- Moonkin Aura
		155522, -- Power of the Grave
		93435, -- Roar of Courage (pet)
		128997, -- Spirit Beast Blessing (pet)
		160039, -- Keen Senses (pet)
		160073, -- Plainswalking (pet)
	},
	{ -- Multistrike
		49868, -- Mind Quickening
		109773, -- Dark Intent
		113742, -- Swiftblade's Cunning
		166916, -- Windflurry
		24844, -- Breath of the Winds (pet)
		34889, -- Spry Attacks (pet)
		54644, -- Frost Breath (pet)
		57386, -- Wild Strength (pet)
		58604, -- Double Bite (pet)
		159733, -- Baleful Gaze (pet)
		160011, -- Agile Reflexes (pet)
	},
	{ -- Versatility
		1126, -- Mark of the Wild
		55610, -- Unholy Aura
		167187, -- Sanctity Aura
		167188, -- Inspiring Presence
		35290, -- Indomitable (pet)
		50518, -- Chitinous Armor (pet)
		57386, -- Wild Strength (pet)
		159735, -- Tenacity (pet)
		160045, -- Defensive Quills (pet)
		160077, -- Strength of the Earth (pet)
	}
}

BigBrother.SpellData = SpellData
